18
C0D4
35d

Day 3 of getting this god forsaken react app to launch!!

My fucking god you cock suckers make life difficult.

Npm install - they say
Npm start - that say
Npm - go swallow my god awful error log and fix all these dependencies
Npm - here's a dependency that didn't install but I need it
Npm - what do you mean your not using a fucking Mac with sass files!
C0D4 - I'm this.close() to fucking stabbing someone!

Comments
  • 1
    Maybe try Yarn? It often works better IMHO.
  • 2
    Yeah, gotta rebuild sass on different targets

    nom rebuild node-sass

    Libsass might fix that eventually, but I wouldn't hold my breath on it.
  • 1
    @SortOfTested 😛

    Done that, removed it, deleted all modules, installed again from fresh.
    Forced installed, downgraded node ---- wooo a new, oh, well a new wall of errors anyway!

    @koes this thing is fucked as is, another package manager I doubt will help 🤣
  • 0
    @C0D4
    I don't use sass for a reason
  • 0
    @SortOfTested sass is inherited from the theme that was used. 😔
  • 6
    @SortOfTested I give up 🤦

    Deleted entire project, cloned again, npm install, npm start (5 times in a row) and on the last time it runs.

    Like... how the fuck is this at any level of sane 😅

    #imGettingToOldForThisShit
  • 6
    @C0D4
    That's the react ecosystem in a nutshell.
  • 1
    @C0D4 doesn’t sound like you have a choice... but if you had, why even bother?
  • 4
    @100110111 why bother? It's a company project, and was outsourced, and now it hits my lap to maintain... well, if I can work out why this dev was paid so much for this shit, no, shit isn't the word for this, that would be a compliment in comparison.

    It's like, let's use every npm package I can find to not do the work, not document anything - seriously the readme is "npm install && npm start"

    🐵🙉🙈🙊🐒💩
  • 0
    @C0D4 oh my... sounds like pretty much every js project out there these days. Strength and hugses, you will survive!
  • 0
    I had a problem error with that node-sass in windows. In my Mac it worked fine. Node sass needs specific version of npm and node lol.

    Currently learning docker so all my projects will be dockerized
  • 1
    Sounds like NPM. 🤮
Add Comment